#!/bin/sh

# Ensure that /usr/lib is in LD_LIBRARY_PATH; otherwise, Java might not find libkjmouse.so
# If /usr/lib is already in LD_LIBRARY_PATH, then don't modify it
if [ -z "$LD_LIBRARY_PATH" ]; then
    export LD_LIBRARY_PATH=/usr/lib
elif [ -z "`echo $LD_LIBRARY_PATH|egrep \"((^/usr/lib)|(:/usr/lib(/){0,1}:)|(:/usr/lib(/){0,1}$))\"`" ]; then
    export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib
fi
